Package org.gradle.api.java.archives

## Class ManifestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.java.archives.ManifestException

- All Implemented Interfaces:
    `Serializable`

      public class ManifestException
      extends GradleException

  Is thrown in the case an operation is applied against a `Manifest` that violates the Manifest specification.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ManifestException​(String message)` |
    `ManifestException​(String message, Throwable cause)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ManifestException

          public ManifestException​(String message)

    - #### ManifestException

          public ManifestException​(String message,
                                   Throwable cause)